Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.cfg
Class DocumentIdMapping

    java.lang.Object
      org.hibernate.search.cfg.DocumentIdMapping

    public class DocumentIdMapping

extends java.lang.Object

Author:
  Emmanuel Bernard

Constructor Summary
`DocumentIdMapping(PropertyDescriptor property, EntityDescriptor entity, SearchMapping mapping)`

Method Summary
`AnalyzerDefMapping` | `analyzerDef(java.lang.String name, java.lang.Class<? extends org.apache.solr.analysis.TokenizerFactory> tokenizerFactory)`
`EntityMapping` | `entity(java.lang.Class<?> entityType)`
`FieldMapping` | `field()`
`DocumentIdMapping` | `name(java.lang.String fieldName)`
`PropertyMapping` | `property(java.lang.String name, java.lang.annotation.ElementType type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentIdMapping

    public DocumentIdMapping(PropertyDescriptor property,
                             EntityDescriptor entity,
                             SearchMapping mapping)

Method Detail

### name

    public DocumentIdMapping name(java.lang.String fieldName)

### field

    public FieldMapping field()

### property

    public PropertyMapping property(java.lang.String name,
                                    java.lang.annotation.ElementType type)

### analyzerDef

    public AnalyzerDefMapping analyzerDef(java.lang.String name,
                                          java.lang.Class<? extends org.apache.solr.analysis.TokenizerFactory> tokenizerFactory)

### entity

    public EntityMapping entity(java.lang.Class<?> entityType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.